Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class SocketPastrySecurityManager

    java.lang.Object
      rice.pastry.socket.SocketPastrySecurityManager

All Implemented Interfaces:
  PastrySecurityManager

public class SocketPastrySecurityManager
extends java.lang.Object
implements PastrySecurityManager

Security manager for socket connections between nodes.

Version:
  $Id: SocketPastrySecurityManager.java,v 1.5 2004/03/08 19:53:57 amislove Exp $
Author:
  Alan Mislove

Constructor Summary
`SocketPastrySecurityManager(SocketNodeHandle snh)` Constructor.

Method Summary
`java.util.Date` | `getTimestamp()` Gets the current time for a timestamp.
`void` | `setLocalPastryNode(PastryNode pn)` Sets the local Pastry node after it is fully constructed.
`boolean` | `verifyAddressBinding(Credentials cred, Address addr)` Checks to see if these credentials can be associated with the address.
`boolean` | `verifyMessage(Message msg)` This method takes a message and returns true if the message is safe and false otherwise.
`NodeHandle` | `verifyNodeHandle(NodeHandle handle)` Verify node handle safety.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketPastrySecurityManager

    public SocketPastrySecurityManager(SocketNodeHandle snh)

  Constructor.

Parameters:
  `snh` - DESCRIBE THE PARAMETER

Method Detail

### getTimestamp

    public java.util.Date getTimestamp()

  Gets the current time for a timestamp.

  Specified by:
    `getTimestamp` in interface `PastrySecurityManager`
  Returns:
    the timestamp.

### setLocalPastryNode

    public void setLocalPastryNode(PastryNode pn)

  Sets the local Pastry node after it is fully constructed.

  Parameters:
    `pn` - local Pastry node.

### verifyMessage

    public boolean verifyMessage(Message msg)

  This method takes a message and returns true if the message is safe and false otherwise.

  Specified by:
    `verifyMessage` in interface `PastrySecurityManager`
  Parameters:
    `msg` - a message.
  Returns:
    if the message is safe, false otherwise.

### verifyAddressBinding

    public boolean verifyAddressBinding(Credentials cred,
                                        Address addr)

  Checks to see if these credentials can be associated with the address.

  Specified by:
    `verifyAddressBinding` in interface `PastrySecurityManager`
  Parameters:
    `cred` - some credentials.
    `addr` - an address.
  Returns:
    true if the credentials match the address, false otherwise.

### verifyNodeHandle

    public NodeHandle verifyNodeHandle(NodeHandle handle)

  Verify node handle safety.

  Specified by:
    `verifyNodeHandle` in interface `PastrySecurityManager`
  Parameters:
    `handle` - the handle to check.
  Returns:
    the verified node handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.